<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/


//xml_getpages_infos.inc.php

require_once('../includes/xml.inc.php');
$pagename = $_REQUEST['pagename'];
$groupid = $_REQUEST['groupid'];

$file=new xmlFile();

$DB->getResults($pages_getPagesInfos,
                        $DB->quote($pagename),
                        $DB->escape($groupid)
                );
if ($DB->nbResults() > 0) {
    $file->header('pages');
    while ($row = $DB->fetch(0)) {
        $id           = $row['id'];
        $group_id     = $row['group_id'];
        $name         = $row['name'];
        $description  = $row['description'];
        $param        = $row['param'];
        $type        = $row['type'];
        echo "<page>
    <id>$id</id>
    <group_id>$group_id</group_id>
    <name><![CDATA[$name]]></name>
    <desc><![CDATA[$description]]></desc>
    <param><![CDATA[$param]]></param>
    <type>$type</type>
</page>\n";
    }
    $file->footer('pages');

} else {
    echo "<error>1</error>";
}
$DB->freeResults();
?>